/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "pokerworld.h"

void pokerWorldInit(pokergame_t *game) {
  // Initialize the skywal
  skywallInit(&game->world.skywall);
}

void pokerWorldRender(
  pokerworld_t *world, engine_t *engine, pokergameassets_t *assets
) {
  // Render the wall
  shaderUseTexture(&assets->shader, &assets->roomTexture);
  shaderUsePosition(&assets->shader, 0,2,0, 0,0,0);
  primitiveDraw(&world->skywall, 0, -1);
}

void pokerWorldDispose(pokergame_t *game) {
  primitiveDispose(&game->world.skywall);
}